package just.testing

import io.quarkus.test.junit.QuarkusTest
import io.restassured.RestAssured
import io.restassured.RestAssured.given
import org.hamcrest.Matchers.equalTo
import org.junit.jupiter.api.Assertions.assertTrue
import org.junit.jupiter.api.Test

@QuarkusTest
class PingResourceTest {

  @Test
  fun randomPortIsSet() {
    assertTrue( RestAssured.port > 0 )
  }

  @Test
  fun canPing() {
    given().get("ping").then().statusCode(200).body(equalTo("pong"))
  }
}
